<template>
    <div>
        <h1>Serie : {{serie.name}} </h1>

            <form>
                <div class="form-group">
                    <label for="name" class="form-label mt-4">name</label>
                    <input type="text" class="form-control" row ="4" id="name" placeholder="nom de la serie" v-model="name" required="required">
                </div>
                <br>
                <div>
                    <button type="button" class="btn btn-success" @click="serieStrore">mettre à jour</button>
                    <router-link :to="{ name: 'series'}" class="btn btn-link">retour</router-link>
                </div>
               
            </form>
    </div>
</template>

<script>
    export default {
        
        data() {
            return {
                name: '',
                serie: {}
            }
        },

        methods: {
            serieStrore(){
                axios.put('http://127.0.0.1:8000/serie/edit/'+this.$route.params.id,{
                    name: this.name
                })
                .then(response => {
                         this.name = response.data.name;
                       alert('la serie a été modifier avec sucée');}
                    )
                .catch(error => {
                    //this.errorMessage = error.message;
                    console.error("There was an error!", error);
                });
            }  
        },

        created()
        {
        axios.get('http://127.0.0.1:8000/serie/'+ this.$route.params.id)
            .then(response => {
                this.serie = response.data;
                this.name = response.data.name
            })
            .catch(error => {
                console.log(error)
                //this.errored = true
            });
         
        },
    }
</script>